EZCart Docs
ApiV1StoreCategories

List product categories

List product categories. Supports filtering by root-only or parent category.

GET
/v1/store/categories

Query Parameters

rootOnly?boolean

If true, only return root categories (level 0)

parentId?string

If provided, return children of this category

Response Body

application/json

curl -X GET "https://api-pub.ezcart.io/v1/store/categories"
{
  "data": [
    {
      "id": "string",
      "name": "string",
      "description": {},
      "slug": "string",
      "image": {},
      "level": 0,
      "parentId": {},
      "seo": {
        "metaTitle": {},
        "metaDescription": {},
        "ogImage": {}
      },
      "children": [
        {
          "id": "string",
          "name": "string",
          "description": {},
          "slug": "string",
          "image": {},
          "level": 0,
          "parentId": {},
          "seo": {
            "metaTitle": {},
            "metaDescription": {},
            "ogImage": {}
          },
          "children": [],
          "productCount": 0
        }
      ],
      "productCount": 0
    }
  ]
}